Bug 170189 - [MAINTAINER] audio/py-musicbrainz2: Clean up Makefile
[MAINTAINER] audio/py-musicbrainz2: Clean up Makefile
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Ruslan Makhmatkhanov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-26 12:20 UTC by bsdkaffee
Modified: 2012-07-28 17:00 UTC (History)
0 users

See Also:


Attachments
2012-07-26-py-musicbrainz2.diff (932 bytes, patch)
2012-07-26 12:20 UTC, bsdkaffee
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description bsdkaffee 2012-07-26 12:20:14 UTC
- Remove dead MASTER_SITES
- Remove shlib version from LIB_DEPENDS
- Move LICENSE to correct location

How-To-Repeat: - Use attached diff
Comment 1 Edwin Groothuis freebsd_committer 2012-07-26 12:20:58 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Ruslan Makhmatkhanov freebsd_committer 2012-07-27 17:18:08 UTC
Responsible Changed
From-To: freebsd-python->rm

I will take it.
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2012-07-28 16:55:29 UTC
State Changed
From-To: open->closed

Committed, thank you!
Comment 4 dfilter freebsd_committer 2012-07-28 16:55:41 UTC
Author: rm
Date: Sat Jul 28 15:55:21 2012
New Revision: 301662
URL: http://svn.freebsd.org/changeset/ports/301662

Log:
  - remove dead MASTER_SITES
  - remove shlib version from LIB_DEPENDS
  - move LICENSE to correct location
  
  While here:
  - strict python version to 2.x
  - trim whitespace nits in pkg-descr
  
  PR:		170189
  Submitted by:	Jason E. Hale <bsdkaffee at gmail dot com> (maintainer)

Modified:
  head/audio/py-musicbrainz2/Makefile
  head/audio/py-musicbrainz2/pkg-descr

Modified: head/audio/py-musicbrainz2/Makefile
==============================================================================
--- head/audio/py-musicbrainz2/Makefile	Sat Jul 28 15:51:34 2012	(r301661)
+++ head/audio/py-musicbrainz2/Makefile	Sat Jul 28 15:55:21 2012	(r301662)
@@ -8,8 +8,6 @@ PORTNAME=	musicbrainz2
 PORTVERSION=	0.7.4
 CATEGORIES=	audio python
 MASTER_SITES=	ftp://ftp.musicbrainz.org/pub/musicbrainz/python-musicbrainz2/ \
-		http://uk.musicbrainz.org/pub/musicbrainz/python-musicbrainz2/ \
-		http://users.musicbrainz.org/~matt/ \
 		http://ftp.osuosl.org/pub/musicbrainz/python-musicbrainz2/
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 DISTNAME=	python-musicbrainz2-${DISTVERSION}
@@ -17,13 +15,12 @@ DISTNAME=	python-musicbrainz2-${DISTVERS
 MAINTAINER=	bsdkaffee@gmail.com
 COMMENT=	Next Generation Python bindings for MusicBrainz
 
-LIB_DEPENDS=	discid.0:${PORTSDIR}/audio/libdiscid
+LICENSE=	BSD
+
+LIB_DEPENDS=	discid:${PORTSDIR}/audio/libdiscid
 
-USE_PYTHON=	yes
+USE_PYTHON=	-2.7
 USE_PYDISTUTILS=	yes
 PYDISTUTILS_PKGNAME=	python-musicbrainz2
 
-LICENSE=	BSD
-LICENSE_FILE=	${WRKSRC}/COPYING.txt
-
 .include <bsd.port.mk>

Modified: head/audio/py-musicbrainz2/pkg-descr
==============================================================================
--- head/audio/py-musicbrainz2/pkg-descr	Sat Jul 28 15:51:34 2012	(r301661)
+++ head/audio/py-musicbrainz2/pkg-descr	Sat Jul 28 15:55:21 2012	(r301662)
@@ -1,6 +1,6 @@
-The package python-musicbrainz2 is a client library written in python which 
-provides easy object oriented access to the MusicBrainz database using the 
-XMLWebService. It has been written from scratch and uses a different model 
+The package python-musicbrainz2 is a client library written in python which
+provides easy object oriented access to the MusicBrainz database using the
+XMLWebService. It has been written from scratch and uses a different model
 than PythonMusicbrainz, the first generation python bindings.
 
 WWW: http://musicbrainz.org/doc/python-musicbrainz2
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"